Bug 190257 - error: syntax error before "LDAP_CALLBACK"
error: syntax error before "LDAP_CALLBACK"
Status: CLOSED WONTFIX
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Rich Megginson
Orla Hegarty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-29 09:14 EDT by Michał "Wolvverine" Panasiewicz
Modified: 2008-08-11 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 16:43:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michał "Wolvverine" Panasiewicz 2006-04-29 09:14:46 EDT
Description of problem:
In file included from ldaputili.h:41,
                 from ldapauth.c:54:
../../include/ldaputil/ldaputil.h:135: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:135: warning: no semicolon at end of struct or
union
../../include/ldaputil/ldaputil.h:139: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:140: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:141: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:142: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:143: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:144: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:145: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:146: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:147: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:148: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:149: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:150: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:151: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:152: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:153: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:154: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:155: error: syntax error before "LDAP_CALLBACK"
../../include/ldaputil/ldaputil.h:156: warning: type defaults to `int' in
declaration of `LDAPUVTable_t'
../../include/ldaputil/ldaputil.h:156: warning: data definition has no type or
storage class
../../include/ldaputil/ldaputil.h:158: error: syntax error before '*' token
In file included from ldapauth.c:54:
ldaputili.h:53: error: syntax error before "CERT_RFC1485_EscapeAndQuote"
ldaputili.h:53: warning: type defaults to `int' in declaration of
`CERT_RFC1485_EscapeAndQuote'
ldaputili.h:53: warning: data definition has no type or storage class
ldapauth.c: In function `ldapu_find_entire_tree':
ldapauth.c:184: warning: implicit declaration of function `ldap_count_values'
ldapauth.c: In function `ldapu_auth_userdn_password':
ldapauth.c:1057: warning: implicit declaration of function `ldap_simple_bind_s'
make[2]: ***
[../../built/Linux2.6_x86_glibc_PTH_DBG.OBJ/lib/ldaputil/ldapauth.o] Error 1
Comment 1 Michał "Wolvverine" Panasiewicz 2006-04-29 09:23:21 EDT
poldek:/all-avail> ls -I *ldap* *LDAP*
gnupg-plugin-keys_ldap-1.4.2.2-1
multisync-ldap-0.83-0.20041201.6
openldap-2.3.21-1
openldap-devel-2.3.21-1
openldap-libs-2.3.21-1
pam-pam_ldap-180-3
perl-Mozilla-LDAP-1.4.1-9
perl-ldap-0.33-2
Comment 2 Michał "Wolvverine" Panasiewicz 2006-04-29 09:27:04 EDT
make[2]: Leaving directory `/home/users/filmy/BUILD/fedora-ds-1.0.2/lib/ldaputil'
make[1]: *** [httpdLib] Error 2
make[1]: Leaving directory `/home/users/filmy/BUILD/fedora-ds-1.0.2'
make: *** [buildDirectory] Error 2
Comment 3 Michał "Wolvverine" Panasiewicz 2006-04-29 09:46:50 EDT
http://cvs.pld-linux.org/cgi-bin/cvsweb/SPECS/fedora-ds.spec - spec (not
finished yet)
Comment 4 Rich Megginson 2006-04-29 11:04:02 EDT
So, are you trying to build Fedora DS with the openldap libs?  That does not
work, and we have no plans currently to support openldap.  Fedora DS requires
the Mozilla LDAP C SDK.
Info - http://www.mozilla.org/directory/csdk.html
Binaries - ftp://ftp.mozilla.org/pub/mozilla.org/directory/c-sdk/releases/v5.17

There are no RPMs yet for this, but you can view the proposed spec file here:
http://lxr.mozilla.org/mozilla/source/directory/c-sdk/mozldap.spec
Comment 5 Chandrasekar Kannan 2008-08-11 19:46:27 EDT
Bug already CLOSED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.